{
  "schema_version": "1.4.0",
  "id": "GHSA-hfxx-8v8g-6rcx",
  "modified": "2022-05-13T01:07:38Z",
  "published": "2022-05-13T01:07:38Z",
  "aliases": [
    "CVE-2018-20506"
  ],
  "details": "SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries in a \"merge\" operation that occurs after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use cases). This is a different vulnerability than CVE-2018-20346.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-20506"
    },
    {
      "type": "WEB",
      "url": "https://www.oracle.com/security-alerts/cpuapr2020.html"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4019-2"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4019-1"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209451"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209450"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209448"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209447"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209446"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT209443"
    },
    {
      "type": "WEB",
      "url": "https://sqlite.org/src/info/940f2adc8541a838"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20190502-0004"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/39"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/33"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/32"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/31"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/29"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Jan/28"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2020/08/msg00037.html"
    },
    {
      "type": "WEB",
      "url": "https://kc.mcafee.com/corporate/index?page=content&id=SB10365"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00070.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/62"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/64"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/66"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/67"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/68"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2019/Jan/69"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/106698"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-04-03T18:29:00Z"
  }
}